"{ Package: 'stx:libview/tests' }"

"{ NameSpace: Smalltalk }"

TestCase subclass:#FormTests
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Compatibility-ST80-Graphics-Display Objects-Tests'
!

!FormTests methodsFor:'running'!

setUp
    Display isNil ifTrue:[
        Smalltalk openDisplay
    ].
    self skipIf: Display isNil description: 'Display connection not available'

    "Created: / 25-04-2016 / 20:30:18 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!FormTests methodsFor:'tests - regression'!

test_issue_25a
    "
    https://swing.fit.cvut.cz/projects/stx-jv/ticket/25
    "
    | form font |

    self skipIf: ConfigurableFeatures hasXFT not description: 'XFT support not compiled in'.
    form := Form width:32 height:32 depth:24.
    form paint: Color black on: Color white.
    form clear.
    self assert: (form bits allSatisfy:[:byte | byte == 255 ]).
    font := XftFontDescription for: SimpleView defaultFont.
    form font: font.
    form displayString: 'X' x: 16 y: 16.
    self assert: (form bits anySatisfy:[:byte | byte ~~ 255 ]).

    "Created: / 26-11-2016 / 00:23:14 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

test_issue_82
    "
    https://swing.fit.cvut.cz/projects/stx-jv/ticket/82
    "
    | f |
    f := Form width:8 height:8 depth:1.
    f colorMap:(Array with:Screen current blackColor with: Screen current whiteColor).
    f clear.
    f paint:(Color colorId:1).  
    self assert: (f bits allSatisfy:[:byte | byte = 0 ])

    "Created: / 25-04-2016 / 20:04:27 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

